#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const program = require("commander");
const application_1 = require("./application");
const npmPackage = require(path.join(__dirname, '..', 'package.json'));
let showHelp = true;
program
    .version(npmPackage.version)
    .description('Grammar parser for cspell.');
program
    .option('--no-color', 'Turn off color.')
    .option('--color', 'Force color');
program
    .command('colorize')
    .description('Colorize a file')
    .arguments('<grammar> <file>')
    .action((grammar, file) => {
    application_1.colorizeFile(grammar, file, (line) => process.stdout.write(line + '\n')).then(() => { process.exit(0); }, (reason) => {
        console.log(reason);
        process.exit(1);
    });
    showHelp = false;
});
program.parse(process.argv);
if (showHelp) {
    program.help();
}
//# sourceMappingURL=app.js.map