"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tokenColorizer_1 = require("./visualize/tokenColorizer");
const _1 = require(".");
const tokenizeFile_1 = require("./grammar/tokenizeFile");
async function colorizeFile(pathToGrammar, pathToFile, emitter, colorizer = tokenColorizer_1.createColorizer()) {
    const grammar = await _1.Grammar.createFromFile(pathToGrammar);
    const result = await tokenizeFile_1.tokenizeFile(grammar, pathToFile);
    result.tokenizedLines.forEach(value => {
        emitter(colorizer(value.line, value.tokens));
    });
}
exports.colorizeFile = colorizeFile;
//# sourceMappingURL=application.js.map