import { GrammarDefinition } from './grammarDefinition';
import { Token } from './tokenize';
export interface Tokenizer {
    tokenize(line: string): Token[];
}
export interface TokenizeLineResult {
    line: string;
    tokens: Token[];
    lineNumber: number;
}
export interface TokenizeTextResult {
    tokenizedLines: TokenizeLineResult[];
}
export declare class Grammar {
    private grammarDef;
    constructor(grammarDef: GrammarDefinition);
    tokenizer(): Tokenizer;
    tokenizeLines(input: Iterable<string>): IterableIterator<TokenizeLineResult>;
    static createFromFile(filename: string): Promise<Grammar>;
}
