export interface SubPatternMatch extends Array<string> {
    input?: string;
    [index: number]: string;
}
export declare function escapeMatch(match: RegExpExecArray | null): SubPatternMatch;
export interface MatchOffsetResultItem {
    begin: number;
    end: number;
}
export declare type MatchOffsetResult = Map<string, MatchOffsetResultItem>;
/**
 * Takes the result of a regex.exec and tries to guess the offsets
 * for the captured groups.
 * @param match Results from a regex.exec with optional named groups.
 */
export declare function matchesToOffsets(match: RegExpExecArray): MatchOffsetResult;
