"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CacheMap {
    constructor(loader, entries) {
        this.loader = loader;
        this.map = new Map(entries);
    }
    get(key) {
        if (!this.has(key)) {
            const value = this.loader(key);
            this.map.set(key, value);
        }
        return this.map.get(key);
    }
    has(key) {
        return this.map.has(key);
    }
    set(key, value) {
        this.map.set(key, value);
        return this;
    }
}
exports.CacheMap = CacheMap;
function create(loader) {
    return new CacheMap(loader);
}
exports.create = create;
//# sourceMappingURL=cacheMap.js.map