import { Chalk } from 'chalk';
import { Scope } from '../grammar';
import { Token } from '../grammar/tokenize';
export declare type ColorTextFn = (text: string) => string;
export declare type ColorMap = [RegExp, ColorTextFn][];
export declare type ScopeColorizer = (text: string, scopes: Scope) => string;
export declare type LineColorizer = (text: string, tokens: Token[]) => string;
export interface ScopeColorizerDefinition {
    colorMap: ColorMap;
    defaultColorizer: ColorTextFn;
}
export declare function createScopeColorizer(colorDef?: ScopeColorizerDefinition): ScopeColorizer;
export declare function createColorizer(scopeColorizer?: ScopeColorizer): LineColorizer;
export declare function createDefaultColorMap(chalk: Chalk): ScopeColorizerDefinition;
